%define rgbtxt  %{_prefix}/X11R6/lib/X11/rgb.txt

Name:           perl-Image-Info
Version:        1.16
Release:        5%{?dist}
Summary:        Image meta information extraction module for Perl

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Image-Info/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/Image-Info-1.16.tar.gz
Patch0:         Image-Info-1.16-string.t.patch
Patch1:         Image-Info-1.16-XBM.pm.patch
Patch2:         Image-Info-1.16-XPM.pm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
Requires:       %{rgbtxt}
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Perl extension allows you to extract meta information from
various types of image files.


%prep
%setup -q -n Image-Info-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
chmod 644 Changes README exifdump imgdump
%{__perl} -pi -e 's|/usr/X11R6/lib/X11/rgb\.txt|%{rgbtxt}|' \
    lib/Image/Info/XPM.pm


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README exifdump imgdump
%{perl_vendorlib}/Image/
%{_mandir}/man3/*.3*


%changelog
* Wed Nov 23 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.16-5
- Add dependency on rgb.txt.
- Specfile cleanups.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.16-4
- rebuilt

* Thu Jul  1 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.16-0.fdr.3
- Reverted Image::Xbm and Image::Xpm patches.
- Patched Image::Info::XBM.pm and Image::Info::XPM.pm instead.

* Tue Jun  8 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.16-0.fdr.2
- Patched Image::Xbm and Image::Xpm to avoid test failures in this module.

* Thu Jun  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.16-0.fdr.1
- Update to version 1.16.
- Bring up to date with current fedora.us perl spec template.

* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.15-0.fdr.1
- First build.
